Bug 98665 - tests fail if X11 autolaunching was disabled at compile time
Summary: tests fail if X11 autolaunching was disabled at compile time
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Simon McVittie
QA Contact: D-Bus Maintainers
URL:
Whiteboard: review+
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-09 19:39 UTC by Simon McVittie
Modified: 2016-11-22 20:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Don't test X11 autolaunching if it was disabled at compile time (1.28 KB, patch)
2016-11-09 19:39 UTC, Simon McVittie
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2016-11-09 19:39:02 UTC
Created attachment 127874 [details] [review]
Don't test X11 autolaunching if it was disabled at  compile time

If dbus was configured with --disable-x11-autolaunch, then test/test-dbus-launch-x11.sh is not going to see the behaviour it was meant to.

The first symptom seen is that the assertion

    test -n "$DBUS_SESSION_BUS_WINDOWID"

fails, during the test test_exit_with_x11 --exit-with-session; but running dbus-launch --exit-with-x11 is also not going to work, and terminating the X11 display is not going to make dbus-daemon exit.
Comment 1 Philip Withnall 2016-11-21 20:48:48 UTC
Comment on attachment 127874 [details] [review]
Don't test X11 autolaunching if it was disabled at  compile time

Review of attachment 127874 [details] [review]:
-----------------------------------------------------------------

::: test/Makefile.am
@@ +190,3 @@
>  	test-dbus-launch-x11.sh \
>  	$(NULL)
> +endif DBUS_ENABLE_X11_AUTOLAUNCH

Shouldn’t there be an
```
else
EXTRA_DIST += \
	test-dbus-launch-x11.sh \
	$(NULL)
```
?
Comment 2 Simon McVittie 2016-11-22 11:21:52 UTC
(In reply to Philip Withnall from comment #1)
> Shouldn’t there be an
> ```
> else
> EXTRA_DIST += \
> 	test-dbus-launch-x11.sh \
> 	$(NULL)
> ```
> ?

No need - Automake manages to work out that this script *could be* in a dist_ variable, which is sufficient to get it included in the dist tarball. (I have tested this, it does work.)

You're thinking of glib(-tap).mk, which goes behind Automake's back to a sufficient extent that yes you do sometimes need to resort to this technique.
Comment 3 Philip Withnall 2016-11-22 12:31:36 UTC
Comment on attachment 127874 [details] [review]
Don't test X11 autolaunching if it was disabled at  compile time

Review of attachment 127874 [details] [review]:
-----------------------------------------------------------------

r+
Comment 4 Simon McVittie 2016-11-22 20:37:15 UTC
Fixed in git for 1.10.14, 1.11.8


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.